Columns.Serializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class Columns.Serializer

- java.lang.Object
- - org.apache.cassandra.db.Columns.Serializer

- Enclosing class:
    Columns

      public static class Columns.Serializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Columns` | `deserialize(DataInputPlus in, CFMetaData metadata)`
    `Columns` | `deserializeSubset(Columns superset, DataInputPlus in)`
    `void` | `serialize(Columns columns, DataOutputPlus out)`
    `long` | `serializedSize(Columns columns)`
    `long` | `serializedSubsetSize(java.util.Collection<ColumnDefinition> columns, Columns superset)`
    `void` | `serializeSubset(java.util.Collection<ColumnDefinition> columns, Columns superset, DataOutputPlus out)` If both ends have a pre-shared superset of the columns we are serializing, we can send them much more efficiently.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Columns columns,
                                DataOutputPlus out)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(Columns columns)

    - #### deserialize

          public Columns deserialize(DataInputPlus in,
                                     CFMetaData metadata)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializeSubset

          public void serializeSubset(java.util.Collection<ColumnDefinition> columns,
                                      Columns superset,
                                      DataOutputPlus out)
                               throws java.io.IOException

      If both ends have a pre-shared superset of the columns we are serializing, we can send them much more efficiently. Both ends must provide the identically same set of columns.
      Throws:
        `java.io.IOException`

    - #### serializedSubsetSize

          public long serializedSubsetSize(java.util.Collection<ColumnDefinition> columns,
                                           Columns superset)

    - #### deserializeSubset

          public Columns deserializeSubset(Columns superset,
                                           DataInputPlus in)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation